capability-provider-bindings
Operations of the Capability Registry API. Paths are relative to your deployment's API host.
GET /api/capability-registry-api/provider-bindings
List the caller org's provider bindings (optionally filtered by capabilityRef).
Authentication: bearer token (Authorization: Bearer <token>)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
capabilityRef | query | string | yes |
| Status | Description | Body |
|---|---|---|
| 200 | application/json CapabilityProviderBindingListDtoDataEnvelope |
POST /api/capability-registry-api/provider-bindings
Create a capability provider binding for the caller org.
Authentication: bearer token (Authorization: Bearer <token>)
Request body: application/json CreateCapabilityProviderBindingDto
| Status | Description | Body |
|---|---|---|
| 201 | application/json CapabilityProviderBindingDtoDataEnvelope |
PATCH /api/capability-registry-api/provider-bindings/{id}
Update a capability provider binding owned by the caller org.
Authentication: bearer token (Authorization: Bearer <token>)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes |
Request body: application/json UpdateCapabilityProviderBindingDto
| Status | Description | Body |
|---|---|---|
| 200 | application/json CapabilityProviderBindingDtoDataEnvelope | |
| 404 |
DELETE /api/capability-registry-api/provider-bindings/{id}
Delete a capability provider binding owned by the caller org.
Authentication: bearer token (Authorization: Bearer <token>)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes |
| Status | Description | Body |
|---|---|---|
| 204 | ||
| 404 |